# -*- coding: utf-8 -*-
"""
    GUI
    ===
    Developing a GUI for an application is a delicated task. On the one hand, developers want to deliver quick solutions.
    On the other, users are exposed to programs developed over decades, by large teams, including designers. Therefore,
    it is very hard for a single developer to obtain user interfaces as beautiful as the ones you can get from commercial
    suppliers.

    However, it is possible to build a collection of tools that can be reused and that can generate a much more
    consistent result throughout different applications. The approach PyNTA follows is to develop GUI's using Qt5. There
    are different ports of Qt for Python, such as PySide and PyQt. For the time being, PyNTA is based on PyQt5, but this
    can change without previous notice.

    To develop a Graphical User Interface (GUI), we have opted to use Qt Designer, and the files are loaded directly to
    the class through ``uic.loadUi`` instead of compiling the files into a Python class. On the one hand, this
    simplifies the cycle for updating the interface, on the other it does not make explicit which methods are available.
    Compiling the files is up to the developer, but the *official* approach is to use only the UI files generated by
    Qt Designer.

    .. TODO:: Different wrappers of Qt for Python expose the same API in different ways. We should explore using an
        intermediate package to unify the use of Qt.

    :copyright:  Aquiles Carattino <aquiles@uetke.com>
    :license: GPLv3, see LICENSE for more details
"""